#!/bin/sh

# tRio startup script contributed by Shawn Ledbetter

# changed 16/02/2003 - pnoffke
# - added java.net.preferIPv4Stack to fix multi-homed problem (see bug id 4790745 on java.sun.com)
# - changed default directories
# - added JAVA_HOME/bin to java command

# change TRIO_HOME to your installation directory
# change JAVA_HOME to your Java runtime directory

JAVA_HOME=/usr/local/jre
TRIO_HOME=/usr/local/trio
JARS=${JAVA_HOME}/lib/tools.jar:${TRIO_HOME}/lib/trio-0.1.3.jar:${TRIO_HOME}/lib/commons-logging.jar:${TRIO_HOME}/lib/commons-beanutils.jar:${TRIO_HOME}/lib/commons-collections.jar:${TRIO_HOME}/lib/commons-digester.jar:${TRIO_HOME}/lib/commons-lang.jar:${TRIO_HOME}/lib/jrcommon.jar:${TRIO_HOME}/lib/jrutil.jar:${TRIO_HOME}/lib/jrclient.jar:${TRIO_HOME}/lib/xmlrpc.jar
TRIO_CONFIG=${TRIO_HOME}/trio.xml

if [ "$1" != "-gui" ] ; then
    TRIO_OPTS="-Xbootclasspath:${TRIO_HOME}/lib/pja-mod.jar:${JAVA_HOME}/lib/rt.jar -Dawt.toolkit=com.eteks.awt.PJAToolkit -Djava.net.preferIPv4Stack=true"
fi

if [ "$1" = "-x11" ] ; then
    TRIO_OPTS="-Xbootclasspath:${TRIO_HOME}/lib/pja-mod.jar:${JAVA_HOME}/lib/rt.jar -Dawt.toolkit=com.eteks.awt.PJAToolkit -Djava.awt.graphicsenv=com.eteks.java2d.PJAGraphicsEnvironment -Djava.net.preferIPv4Stack=true"
fi

cd ${TRIO_HOME}
${JAVA_HOME}/bin/java  ${TRIO_OPTS} -cp ${JARS} trio.TRioServer "-c${TRIO_CONFIG}"

